import { ProxyOptions } from './models';
declare type Dependencies = Record<string, string>;
declare type Options<T> = Omit<ProxyOptions, 'filePath'> & {
    filePaths?: Partial<Record<keyof T, string>>;
};
export default function createDependencyImports<T extends Dependencies>(deps: T, { filePaths, ...options }: Options<T>): Record<keyof T, string>;
export {};
